<template>
  <div>
    <Row class="expand-row">
      <Col v-if="row.description">
      <span class="expand-key">Description</span>
      <span class="expand-value"
            v-html="row.description"></span>
      </Col>
      <Col v-if="row.implementation">
      <span class="expand-key">Implementation</span>
      <span class="expand-value"
            v-html="row.implementation"></span>
      </Col>
      <Col v-if="row.parameterization">
      <span class="expand-key">Parameterization</span>
      <span class="expand-value"
            v-html="row.parameterization"></span>
      </Col>
      <Col v-if="row.influences">
      <span class="expand-key">Influences</span>
      <span class="expand-value"
            v-html="row.influences"></span>
      </Col>
    </Row>
  </div>
</template>

<script>
export default {
  name: "issue-expand",
  props: {
    row: Object
  }
}
</script>

<style scoped>
.expand-row >>> .expand-key {
  font-weight: bold;
}
.expand-row >>> ul {
  list-style-type: disc;
  list-style-position: inside;
}
.expand-row >>> pre {
  border-radius: 4px;
  border: solid;
  border-width: 1px;
}
</style>
